# List AI agents

URL: https://docs.dixa.io/openapi/dixa-api/beta/ai-agents/getai-agents

Lists all AI agents in an organization. AI agents include Dixa's native Mim agents and external chatbot integrations.

## GET /beta/ai-agents

- Server: https://dev.dixa.io
- Auth: `Authorization: <API token>` header

### Request example

```bash
curl -X GET 'https://dev.dixa.io/beta/ai-agents' \
  -H 'Authorization: <API token>'
```

### Response examples

#### 200 The list of AI agents

```json
{
  "data": [
    {
      "id": "93b885ad-fe0d-3089-8df6-34904fd59f71",
      "name": "Support Bot",
      "systemUserId": "8277e091-0d75-3195-b448-797616e091ad",
      "_type": "MimSupport"
    },
    {
      "id": "55a54008-ad1b-3589-aa21-0d2629c1df41",
      "name": "Automation Bot",
      "systemUserId": "e1671797-c52e-35f7-a338-0b45e841ec32",
      "_type": "MimAutomation"
    },
    {
      "id": "9e688c58-a548-3b8e-af69-c9e1005ad0bf",
      "name": "Ada Assistant",
      "systemUserId": "8fa14cdd-754f-31cc-a554-c9e71929cce7",
      "_type": "Ada"
    },
    {
      "id": "86666835-06aa-3d90-8bbd-5a74ac4edf68",
      "name": "DigitalGenius Bot",
      "systemUserId": "b2f5ff47-4366-31b6-a533-d8dc3614845d",
      "_type": "Digitalgenius"
    },
    {
      "id": "ec7f7e7b-b437-32ce-8681-45f71d37b53c",
      "name": "Kindly Bot",
      "systemUserId": "2510c390-11c5-3e70-8182-423e3a695e91",
      "_type": "Kindly"
    },
    {
      "id": "8bb6c178-3864-3f96-91cc-6a4de6c51709",
      "name": "Generic API Bot",
      "systemUserId": "865c0c0b-4ab0-3063-a5ca-a3387c1a8741",
      "_type": "Genericapimessaging"
    }
  ]
}
```

#### 400

```json
{
  "message": "Decoding failure in request"
}
```

#### 500 Internal failure during request processing

```json
{
  "message": "There was an internal server error while processing the request"
}
```

## OpenAPI definition

The operation and the schemas used, from the full spec at https://docs.dixa.io/openapi-specs/dixa-beta.yaml. Request and response examples are above.

```yaml
openapi: 3.0.3
info:
  title: Dixa API
  version: beta
servers:
  - url: https://dev.dixa.io
security:
  - ApiKeyAuth: []
paths:
  /beta/ai-agents:
    get:
      tags:
        - AI Agents
      summary: List AI agents
      description: Lists all AI agents in an organization. AI agents include Dixa's
        native Mim agents and external chatbot integrations.
      operationId: getAi-agents
      responses:
        "200":
          description: The list of AI agents
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ListAiAgentsOutput"
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/BadRequest"
        "500":
          description: Internal failure during request processing
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServerError"
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header
  schemas:
    ListAiAgentsOutput:
      title: ListAiAgentsOutput
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/AiAgent"
    AiAgent:
      title: AiAgent
      oneOf:
        - $ref: "#/components/schemas/Ada"
        - $ref: "#/components/schemas/Digitalgenius"
        - $ref: "#/components/schemas/Genericapimessaging"
        - $ref: "#/components/schemas/Kindly"
        - $ref: "#/components/schemas/MimAutomation"
        - $ref: "#/components/schemas/MimSupport"
    Ada:
      title: Ada
      type: object
      required:
        - id
      properties:
        id:
          description: The ID of the AI agent
          type: string
        name:
          type: string
        systemUserId:
          description: The ID of the Dixa user associated with the AI agent, used as
            `authorId` of a message
          type: string
    Digitalgenius:
      title: Digitalgenius
      type: object
      required:
        - id
      properties:
        id:
          description: The ID of the AI agent
          type: string
        name:
          type: string
        systemUserId:
          description: The ID of the Dixa user associated with the AI agent, used as
            `authorId` of a message
          type: string
    Genericapimessaging:
      title: Genericapimessaging
      type: object
      required:
        - id
      properties:
        id:
          description: The ID of the AI agent
          type: string
        name:
          type: string
        systemUserId:
          description: The ID of the Dixa user associated with the AI agent, used as
            `authorId` of a message
          type: string
    Kindly:
      title: Kindly
      type: object
      required:
        - id
      properties:
        id:
          description: The ID of the AI agent
          type: string
        name:
          type: string
        systemUserId:
          description: The ID of the Dixa user associated with the AI agent, used as
            `authorId` of a message
          type: string
    MimAutomation:
      title: MimAutomation
      type: object
      required:
        - id
      properties:
        id:
          description: The ID of the AI agent
          type: string
        name:
          type: string
        systemUserId:
          description: The ID of the Dixa user associated with the AI agent, used as
            `authorId` of a message
          type: string
    MimSupport:
      title: MimSupport
      type: object
      required:
        - id
      properties:
        id:
          description: The ID of the AI agent
          type: string
        name:
          type: string
        systemUserId:
          description: The ID of the Dixa user associated with the AI agent, used as
            `authorId` of a message
          type: string
    BadRequest:
      title: BadRequest
      type: object
      required:
        - message
      properties:
        message:
          type: string
    ServerError:
      title: ServerError
      type: object
      required:
        - message
      properties:
        message:
          type: string
```
